Bug 164608 - Installer hangs after trying to install cciss module on DL380 G2
Installer hangs after trying to install cciss module on DL380 G2
Status: CLOSED DUPLICATE of bug 169613
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 164609 166784 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-29 05:10 EDT by David J Craigon
Modified: 2015-01-04 17:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 15:34:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David J Craigon 2005-07-29 05:10:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-GB; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
I am trying to install FC4 on my DL380 G2, using the FC4 install CDs. The boot proceeds as normal, until I get the message "Loading cciss driver", at which point the install hangs and does not proceed any further. Pressing alt-f2, alt-f3, alt-f4 still works as normal so the computer does not actually stop, but the install does not proceed any further. The Alt-F4 progress screen says that it has loaded the cciss driver, and it reports the drive I have attached OK, but that's the last message.

This works OK on FC3. I have updated the firmware to no avail.

This computer only has one drive in it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Insert CD, boot.

Actual Results:  Freeze

Expected Results:  Carry on with install

Additional info:
Comment 1 David J Craigon 2005-07-29 07:00:04 EDT
You can get to install by appending acpi=off to the command line. After
installation, no problems it would appear.
Comment 2 Gerwin Krist 2005-07-29 09:01:39 EDT
*** Bug 164609 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2005-07-29 18:45:31 EDT
Can you install the latest errata kernel, and remove the acpi=off workaround,
and see if it still hangs on boot ?
Comment 4 David J Craigon 2005-08-09 04:20:18 EDT
Some investigations without acpi=off:

With the kernels shipped with the original Fedora 4 or the latest errata 
kernel, it works if you use the SMP kernel but locks if you use the UP kernel.
Comment 5 Dave Jones 2005-09-30 01:50:50 EDT
*** Bug 166784 has been marked as a duplicate of this bug. ***
Comment 6 Ryan Finnie 2005-09-30 13:18:04 EDT
The latest kernel (2.6.12-1.1456_FC4) hangs for me.  And BTW, this is on a DL380
G3 1.4Ghz, though I'm being told this doesn't happen on the newer G3s.
Comment 7 Dave Jones 2005-11-10 14:44:12 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 8 Dan Franklin 2005-12-01 00:16:03 EST
This update (2.6.14-1.1637_FC4) resolved the problem for my DL 380.  Rebooting
without acpi=off worked.
Comment 9 Len Brown 2006-01-18 01:06:33 EST
If I recall, there are some issues in this product line with PIC vs
IOAPIC mode.  If your system is working with the SMP+IOAPIC kernel,
it would be interesting if you can still boot it with "maxcpus=1" "noapic".
Comment 10 Dan Franklin 2006-01-18 10:13:09 EST
Yes, with maxcpus=1 noapic my DL380 G2 hangs after cciss initialization.  (But
keystrokes continue to echo.)
Kernel for this test: 2.6.14-1.1637_FC4
Comment 11 Dave Jones 2006-02-03 00:40:08 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 12 Dan Franklin 2006-02-03 15:32:24 EST
Version 2.6.15-1.1830_FC4 continues to work on my DL380 G2.
Comment 13 Dave Jones 2006-02-03 15:34:53 EST
ok, sounds like the current kernel is ok. For the original poster who can't get
it to install, see the bug this is duped against.


*** This bug has been marked as a duplicate of 169613 ***

Note You need to log in before you can comment on or make changes to this bug.